Subject: [rohc] Feedback formats

From: [email-masked]
Date: Thu, 16 Jul 2009 16:59:15 +0800

RFC 3095 describes that when mode transitions, any feedback should be sent 
with mode transition parameter;

at the same time, the feedback logic of decompressor in U/O/R mode also 
send feedback with mode parameter.

there is a doubt that which case we could use feedback-1 in profile RTP?

Thanks

caiwei 167981
LTE Development Department | LTE开发部

Product Marketing System 
产品市场体系
D3-06, ZTE Corp., No.10 South Tangyan Rd., 
Hi-tech Industrial Development Zone, Xi'an, 
P.R.China, 710065
Tel:+86-29-88724112, 15801916689
Email:[email-masked] 

--------------------------------------------------------
ZTE Information Security Notice: The information contained in this mail is solely property of the sender's organization. This mail communication is confidential. Recipients named above are obligated to maintain secrecy and are not permitted to disclose the contents of this communication to others.
This email and any files transmitted with it are confidential and intended solely for the use of the individual or entity to whom they are addressed. If you have received this email in error please notify the originator of the message. Any views expressed in this message are those of the individual sender.
This message has been scanned for viruses and Spam by ZTE Anti-Spam system.

---

From: Klaus Warnke <[email-masked]>
Date: Thu, 16 Jul 2009 12:02:59 +0200

Hello cai,

I'm not completely sure what your mean.

First, there is a "short cut" to switch from U to O
mode (5.6.2.). In this case, a feedback-1 is sufficient, because
the receiving of any feedback shows to compressor that a feedback
channel is available and this is the precondition for bidirectional
optimistic mode.

Ideally the mode transition should be profile independent. But for the
IR/IR-DYN packet it isn't due to a design flaw. Only the dynamic chain
of the RTP Header contains the 'M' (5.7.7.6.) flag to transmit a
compression mode. For the other profiles you must use a extension-3.

Hope that helps.

If not, could you please explain the problem more detailed?

br
Klaus Warnke

[email-masked] wrote:
>
> RFC 3095 describes that when mode transitions, any feedback should be
> sent with mode transition parameter;
>
> at the same time, the feedback logic of decompressor in U/O/R mode
> also send feedback with mode parameter.
>
> *caiwei 167981*
> 	*Product Marketing System *
> *产品市场体系*
> ------------------------------------------------------------------------
>
> _______________________________________________
> Rohc mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/rohc
>

---

From: Carl Knutsson <[email-masked]>
Date: Thu, 16 Jul 2009 15:10:05 +0200

Klaus, Cai,

Using the "short cut" as Klaus describes below is not really allowed in
RFC3095. Section 5.6.1 is quite clear that all feedback during a mode
transition must carry a CRC option. The mode parameter must also be set
to O to transfer from U-mode to O-mode. FEEDBACK-1 doesn't have a mode
field and cannot carry feedback options.

Klaus, I guess you refer to the last paragraph of section 5.6.2. It
should not be interpreted by its own. I agree that the wording is a bit
unfortunate, but I can still not see how it can be interpret it this
way. FEEDBACK-1 cannot be used for mode transfer between U-mode and
O-mode. The compressor simply don't have the information to which mode
to transfer to.

Cheers,

/Calle

Klaus Warnke wrote:
>> LTE Development Department | LTE¿ª·¢²¿
>> *²úÆ·ÊÐ³¡ÌåÏµ*

---

From: Klaus Warnke <[email-masked]>
Date: Thu, 16 Jul 2009 16:15:53 +0200

Calle, Cai,

yes, I'm wrong.
"short cut" means, there is no handshake procedure needed, but using
feedback-1 was too short.

br
Klaus

---

From: [email-masked]
Date: Fri, 17 Jul 2009 08:39:25 +0800

Klaus, Calle,

Thank you for the detailed interpretation and sorry for joining the 
discussion so late.

I think there is no doubt that when mode transitions, any feedback should 
be sent with mode transition parameter;

i.e., use feedback-2

the question is that the feedback logic of non mode transitions: should we 
send feedback with mode parameter?

if YES, which case we could use feedback-1 in profile RTP?

Thanks

caiwei 167981

Product Marketing System 
产品市场体系

Klaus Warnke <[email-masked]> 
2009-07-16 22:15

收件人
Carl Knutsson <[email-masked]>, [email-masked]
抄送
[email-masked]
主题
Re: [rohc] Feedback formats

Calle, Cai,

yes, I'm wrong.

br
Klaus

Carl Knutsson wrote:
>>> ZTE Information Security Notice: The information contained in this 
mail is solely property of the sender's organization. This mail 
communication is confidential. Recipients named above are obligated to 
maintain secrecy and are not permitted to disclose the contents of this 
communication to others.
>>> This email and any files transmitted with it are confidential and 
intended solely for the use of the individual or entity to whom they are 
addressed. If you have received this email in error please notify the 
originator of the message. Any views expressed in this message are those 
of the individual sender.

---

From: Klaus Warnke <[email-masked]>
Date: Fri, 17 Jul 2009 11:44:55 +0200

Cai,
 > non mode transitions: should we send feedback with mode parameter?
No, I don't think so. Why?
If there is no mode transition in progress, there is no need to
send a mode parameter.  But if there is a need to send a feedback
option (clock resolution, for example) you  must use feedback-2
and then the mode parameter must set correct.

 > if YES, which case we could use feedback-1 in profile RTP?
Where do you see a problem to use feedback-1 together with the
RTP profile?
If the decompressor ACKs an context update, a feedback-1 packet
is ok.  This could be done with a feedback-2 packet too, but why
sending larger packets than needed?  The only exception I know is
using RTP profile in optimistic mode with sparse ACK (5.7.6.) and
sending no ACK.  If you sending no ACK, no feedback-1 is
needed, because NACK is always a feedback-2 packet. But for
reliable mode you need feedback-1.

br
Klaus Warnke

[email-masked] wrote:
> I think there is no doubt that when mode transitions, any feedback 
> should be sent with mode transition parameter;
>
> i.e., use feedback-2
>
> the question is that the feedback logic of non mode transitions: 
> should we send feedback with mode parameter?
>
> *Klaus Warnke <[email-masked]>*
>
> 2009-07-16 22:15
>
> 	
> 收件人
> maintain secrecy and are not permitted to disclose the contents of 
> this communication to others.
> intended solely for the use of the individual or entity to whom they 
> are addressed. If you have received this email in error please notify 
> the originator of the message. Any views expressed in this message are 
> those of the individual sender.

-- 
Klaus Warnke                [email-masked]
http://www.acticom.de
Tel +49-30-4303.2510        Fax +49-30-4303.2519
* --------------------------------------------------------- *
acticom GmbH
Am Borsigturm 42, 13507 Berlin, Germany
Managing Directors:  Olaf Kehrer, Gerrit Schulte
Commercial Register: Berlin-Charlottenburg HRB 73245
VAT-ID DE205131766
* --------------------------------------------------------- *
This email and the information it contains may be
privileged and/or confidential. It is for the intended
addressee(s) only. The unauthorised use, disclosure or
copying of this email, or any information contained,
is prohibited. If you are not an intended recipient,
please notify the sender immediately and delete this email.